#
# spec file for package libsignon-glib
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           libsignon-glib
Version:        1.13+16.04.20151209.1
Release:        1.1
Summary:        Library for signond
License:        LGPL-2.1
Group:          System/Libraries
Url:            https://launchpad.net/libsignon-glib
Source:         http://archive.ubuntu.com/ubuntu/pool/main/libs/libsignon-glib/%{name}_%{version}.orig.tar.gz
BuildRequires:  glib2-devel
BuildRequires:  gobject-introspection-devel
BuildRequires:  gtk-doc
BuildRequires:  libtool
BuildRequires:  python-devel
BuildRequires:  signond-libs-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
GLib-based client library for applications handling account 
authentication through the Online Accounts Single Sign-On service

%package -n libsignon-glib1
Summary:        Library for signond
Group:          System/Libraries

%description -n libsignon-glib1
GLib-based client library for applications handling account
authentication through the Online Accounts Single Sign-On service

This package provides shared libraries for libsignon-glib

%package devel
Summary:        Development headers for libsignon-glib
Group:          Development/Libraries/C and C++
Requires:       libsignon-glib1 = %{version}

%description devel
GLib-based client library for applications handling account
authentication through the Online Accounts Single Sign-On service

This package provides development headers for libsignon-glib.

%package -n typelib-1_0-Signon-1_0
Summary:        Library for signond -- Introspection bindings
Group:          System/Libraries

%description -n typelib-1_0-Signon-1_0
GLib-based client library for applications handling account
authentication through the Online Accounts Single Sign-On service

This package provides the GObject Introspection bindings for 
libsignon-glib library.

%prep
%setup -q
NOCONFIGURE=1 ./autogen.sh

%build
%configure
make -j1

%install
make install DESTDIR=%{buildroot} %{?_smp_mflags}
find %{buildroot}%{_libdir} -name "*.la" -delete

%post -n libsignon-glib1 -p /sbin/ldconfig

%postun -n libsignon-glib1 -p /sbin/ldconfig

%files -n libsignon-glib1
%defattr(-,root,root)
%doc AUTHORS ChangeLog README NEWS COPYING
%{_libdir}/libsignon-glib.so.1
%{_libdir}/libsignon-glib.so.1.0.0

%files devel
%defattr(-,root,root)
%{_includedir}/libsignon-glib
%{_libdir}/libsignon-glib.so
%{_libdir}/pkgconfig/libsignon-glib.pc
%{_datadir}/gir-1.0/Signon-1.0.gir
%dir %{_datadir}/vala
%dir %{_datadir}/vala/vapi
%{_datadir}/vala/vapi/signon.vapi

%files -n typelib-1_0-Signon-1_0
%defattr(-,root,root)
%{_libdir}/girepository-1.0/Signon-1.0.typelib

%changelog
* Sat Feb 13 2016 tittiatcoke@gmail.com
- Update to 1.13+16.04.20151209.1
  * No changelog provided.
  * Fixes build for Tumbleweed
* Wed Sep 16 2015 tittiatcoke@gmail.com
- Update to https://launchpad.net/libsignon-glib
  * No changelog provided
* Wed Feb 18 2015 i@marguerite.su
- initial version 1.12+15.04.20141209
